from __future__ import annotations

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ..connection import Connection


class Usage:
    def __init__(self, *, connection: Connection):
        self._connection = connection

    def fetch(self) -> dict:
        response = self._connection.get("/usage")
        return response["data"]
